Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(117)

Issue 6846057: code review 6846057: cmd/8l: fix data corruption for MULB SI, (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years, 2 months ago by remyoudompheng
Modified:
9 years, 1 month ago
Reviewers:
CC:
golang-dev, dfc, iant, iant2, rsc
Visibility:
Public.

Description

cmd/8l: fix data corruption for MULB SI, The 8l linker automatically inserts XCHG instructions to support otherwise impossible byte registers (only available on AX, BX, CX, DX). Sometimes AX or DX is needed (for MUL and DIV) so we need to avoid clobbering them.

Patch Set 1 #

Patch Set 2 : diff -r dc4a3f6ba179 https://go.googlecode.com/hg/ #

Patch Set 3 : diff -r dc4a3f6ba179 https://go.googlecode.com/hg/ #

Patch Set 4 : diff -r 13d81e48dc90 https://go.googlecode.com/hg/ #

Patch Set 5 : diff -r d686006f8945 https://go.googlecode.com/hg/ #

Unified diffs Side-by-side diffs Delta from patch set Stats (+6 lines, -2 lines) Patch
M src/cmd/6l/span.c View 1 2 3 1 chunk +3 lines, -1 line 0 comments Download
M src/cmd/8l/span.c View 1 1 chunk +3 lines, -1 line 0 comments Download

Messages

Total messages: 10
remyoudompheng
Hello golang-dev@googlegroups.com (cc: golang-dev@googlegroups.com), I'd like you to review this change to https://go.googlecode.com/hg/
9 years, 2 months ago (2012-11-15 07:22:52 UTC) #1
remyoudompheng
ping?
9 years, 2 months ago (2012-11-16 20:50:13 UTC) #2
dfc
This fixed the bug that your walkdiv CL exposed. If this CL mirrors a similar ...
9 years, 2 months ago (2012-11-16 23:49:50 UTC) #3
remyoudompheng
On 2012/11/17 Dave Cheney <dave@cheney.net> wrote: > This fixed the bug that your walkdiv CL ...
9 years, 2 months ago (2012-11-17 00:10:47 UTC) #4
remyoudompheng
Hello golang-dev@googlegroups.com, dave@cheney.net (cc: golang-dev@googlegroups.com), Please take another look.
9 years, 2 months ago (2012-11-17 00:30:42 UTC) #5
dfc
ping, iant ?
9 years, 2 months ago (2012-11-19 23:45:11 UTC) #6
remyoudompheng
ping?
9 years, 2 months ago (2012-11-25 21:27:09 UTC) #7
iant2
This is for rsc, I don't know this code. http://codereview.appspot.com/6846057/
9 years, 2 months ago (2012-11-26 01:47:26 UTC) #8
rsc
I'm catching up, really I am! :-)
9 years, 2 months ago (2012-11-26 02:38:14 UTC) #9
remyoudompheng
9 years, 2 months ago (2012-11-26 20:31:52 UTC) #10
*** Submitted as http://code.google.com/p/go/source/detail?r=1470920a2804 ***

cmd/8l: fix data corruption for MULB SI,

The 8l linker automatically inserts XCHG instructions
to support otherwise impossible byte registers
(only available on AX, BX, CX, DX).

Sometimes AX or DX is needed (for MUL and DIV) so
we need to avoid clobbering them.

R=golang-dev, dave, iant, iant, rsc
CC=golang-dev
http://codereview.appspot.com/6846057
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b